Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 4.2.0   

Resolution: Fixed   

Description

Current behavior:

1. Click o Create new custom field from some tab like Users

2. Create custom field and click save

3. You are staying on the same form

Desired behavior

step 3: Go back to Users tab and display new field there

The process of adding multiple custom fields would be improved this way

Related issues:

Related to Redmine - Patch #33117: Redirect to users_path instead of edit_use... New

Associated revisions

Revision 19749 - 2020-05-04 02:46 - Go MAEDA

Redirect to index page instead of edit page after creating a new custom field (#32783).

Patch by Go MAEDA.

History

#1 - 2020-04-20 12:08 - Go MAEDA

- File 32783.patch added

- Target version set to Candidate for next major release

+1

Here is a patch to change the behavior as suggested.

#2 - 2020-04-20 12:09 - Go MAEDA

- Related to Patch #33117: Redirect to users_path instead of edit_user_path in order to avoid confusion added

#3 - 2020-04-28 08:39 - Go MAEDA

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#4 - 2020-04-28 16:30 - Aleksandar Pavic

Same problem is with other custom fields also, not just users.

If you create custom filed for issue, and save it, you are redirected to that field not

to issue's custom fields.

Same goes for documents etc...

#5 - 2020-04-28 16:51 - Go MAEDA

Aleksandar Pavic wrote:
If you create custom filed for issue, and save it, you are redirected to that field not

to issue's custom fields.

Same goes for documents etc...

 Do you mean that the behavior after applying 32783.patch is broken? I could not reproduce such wrong redirection.

I would like to investigate the problem, so could you describe details and steps to reproduce?

#6 - 2020-04-29 08:05 - Aleksandar Pavic

It is good, sorry for confusion.

Thanks.

#7 - 2020-05-04 02:47 - Go MAEDA

- Subject changed from After creating custom field return to custom fields tab to Redirect to index page instead of edit page after creating a new

custom field

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

Files

32783.patch 1.21 KB 2020-04-20 Go MAEDA
